import 'package:json_annotation/json_annotation.dart';
import 'package:location/base/app_base_request.dart';

part 'one_click_login_request.g.dart';

@JsonSerializable()
class OneClickLoginRequest extends AppBaseRequest {
  @JsonKey(name: 'token')
  String token;

  @JsonKey(name: 'accessToken')
  String accessToken;

  OneClickLoginRequest(this.token, this.accessToken);

  factory OneClickLoginRequest.fromJson(Map<String, dynamic> json) =>
      _$OneClickLoginRequestFromJson(json);

  @override
  Map<String, dynamic> toJson() => _$OneClickLoginRequestToJson(this);
}
